View Issue Details

IDProjectCategoryView StatusLast Update
0000182Cinelerra-GG[All Projects] Bugpublic2019-05-01 14:49
Reporterv4tAssigned ToPhyllisSmith 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformI7OSManjaroOS Versionlatest
Product Version 
Target VersionFixed in Version2019-04 
Summary0000182: After the update I get this error again on my Manjaro: cin: error while loading shared libraries: libvpx.so.5
DescriptionStill got the mistake.
Just updated the new version of cin.
Sorry
TagsNo tags attached.

Activities

PhyllisSmith

PhyllisSmith

2019-05-01 14:49

manager   ~0001460

We actually tested this yesterday just to make sure and so we are past this finally.
PhyllisSmith

PhyllisSmith

2019-04-02 15:21

manager   ~0001294

v4t: thanks for testing and letting us know. Please check again next month!!! but I think we will avoid that mistake because we will be updating libvpx on all of the other distros.
v4t

v4t

2019-04-02 15:05

reporter   ~0001293

Just tested works flawlessly.
Many thanks for the fast work.
PhyllisSmith

PhyllisSmith

2019-04-01 18:57

manager   ~0001285

OK, sorry for the problem. Corrected download builds are now available so hopefully the Arch users with the automate download will try again. If STILL PROBLEMS, let us know.

https://www.cinelerra-gg.org/download/pkgs/arch/cin-5.1-arch-20190401-x86_64.pkg.tar.xz

https://www.cinelerra-gg.org/download/tars/cinelerra-5.1-arch-20190401.x86_64-static.txz
https://www.cinelerra-gg.org/download/tars/cinelerra-5.1-arch-20190401.x86_64.txz
PhyllisSmith

PhyllisSmith

2019-04-01 17:25

manager   ~0001284

We found our error! We have multiple build computers and I thought we built on the one that we had upgraded last month and tested there, but I was wrong.

GG is creating new static and dynamic tars now and a package. But first he has to update the correct build computer so it will take awhile.
Thanks for your patience and letting us know right away so we could fix it.
v4t

v4t

2019-04-01 16:57

reporter   ~0001282

The StaticVersion works fine, but was also to be expected.
v4t

v4t

2019-04-01 16:48

reporter   ~0001281

[tux@viper3 ~]$ sudo pacman -Syy
[sudo] Passwort für tux:
:: Synchronisiere Paketdatenbanken...
 core 149,5 KiB 831K/s 00:00 [####################################################################################################] 100%
 extra 1836,9 KiB 967K/s 00:02 [####################################################################################################] 100%
 cingg 518,0 B 0,00B/s 00:00 [####################################################################################################] 100%
 community 5,2 MiB 953K/s 00:06 [####################################################################################################] 100%
 multilib 184,7 KiB 1133K/s 00:00 [####################################################################################################] 100%
[tux@viper3 ~]$ cin
cin: error while loading shared libraries: libvpx.so.5: cannot open shared object file: No such file or directory
[tux@viper3 ~]$
v4t

v4t

2019-04-01 16:31

reporter   ~0001280

I checked, I have libvpx 1.8.0-1 installed.
PhyllisSmith

PhyllisSmith

2019-04-01 16:25

manager   ~0001279

Verified that the Arch build system used to create the package had libvpx.so.5 installed. We can not understand why it is not working for you as we just tested it here without any problem. Cin started up and we checked Settings->Preferences, About for 03/31/2019 build date.

The procedure we use to install is exactly what is listed in the file in the download/pkgs directory of README.pkgs for Arch. That is:

# ARCH linux
# first edit the file /etc/pacman.conf, to include the following:
[cingg]
SigLevel = Optional TrustAll
Server = https://cinelerra-gg.org/download/pkgs/arch
# end of cingg
pacman -Sy
pacman -S cin

The only other suggestion we have is to use the Arch tar instead or try the wget scenario. This just does not make any sense.
Or are we missing something altogether? Anyone else have any insight?

Issue History

Date Modified Username Field Change
2019-04-01 15:33 v4t New Issue
2019-04-01 16:25 PhyllisSmith Assigned To => PhyllisSmith
2019-04-01 16:25 PhyllisSmith Status new => acknowledged
2019-04-01 16:25 PhyllisSmith Note Added: 0001279
2019-04-01 16:31 v4t Note Added: 0001280
2019-04-01 16:48 v4t Note Added: 0001281
2019-04-01 16:57 v4t Note Added: 0001282
2019-04-01 17:25 PhyllisSmith Note Added: 0001284
2019-04-01 18:57 PhyllisSmith Note Added: 0001285
2019-04-02 15:05 v4t Note Added: 0001293
2019-04-02 15:21 PhyllisSmith Note Added: 0001294
2019-04-02 15:22 PhyllisSmith Status acknowledged => resolved
2019-04-02 15:22 PhyllisSmith Resolution open => fixed
2019-04-02 15:22 PhyllisSmith Fixed in Version => 2019-04
2019-05-01 14:49 PhyllisSmith Status resolved => closed
2019-05-01 14:49 PhyllisSmith Note Added: 0001460